#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "decals.h"
#include "gamerules.h"

CTrunks::CTrunks ( CBasePlayer *player ): CBaseClass(player) 
{
}

void CTrunks::AddAllAttacks(void)
{	m_pPlayer->GiveNamedItem("weapon_sword");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_burningattack");
	m_pPlayer->GiveNamedItem("weapon_flamethrower");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CTrunks::GetAscendedClass(void)
{	return new CSSJTrunks(m_pPlayer);
}

CBaseClass* CSSJTrunks::GetAscendedClass(void)
{	return new CUSSJTrunks(m_pPlayer);
}

CSSJTrunks::CSSJTrunks(CBasePlayer *player): CTrunks(player)
{	
}

CUSSJTrunks::CUSSJTrunks(CBasePlayer *player): CTrunks(player)
{	
}

// Added by Pcjoe
void CSSJTrunks::AddAllAttacks(void)
{	m_pPlayer->GiveNamedItem("weapon_sword");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_burningattack");
	m_pPlayer->GiveNamedItem("weapon_finishingbuster");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

void CUSSJTrunks::AddAllAttacks(void)
{	m_pPlayer->GiveNamedItem("weapon_sword");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_burningattack");
	m_pPlayer->GiveNamedItem("weapon_finishingbuster");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CSSJTrunks::GetDescendedClass(void)
{	return new CTrunks(m_pPlayer);
}

CBaseClass* CUSSJTrunks::GetDescendedClass(void)
{	return new CSSJTrunks(m_pPlayer);
}